    .386
    .model flat, stdcall
    option casemap :none

; OPATTR bits POASM might set
opa RECORD \
    String: 1,      ; Is a string value
    _:4,            ; *RESERVED*
    Language: 3,    ; language: C=1, SYSCALL=2, STDCALL=3, FASTCALL=7
    External: 1,    ; references an external label
    StackRel: 1,    ; is relative to SS
    Valid: 1,       ; references no undefined symbols and is without error
    Reg: 1,         ; is a register value
    DirectMem: 1,   ; uses direct memory addressing
    Imm: 1,         ; is an immediate value
    Mem: 1,         ; is a memory variable
    CodeLab: 1      ; references a code label

    .code

    ; Just for testing the definitions...
    mov eax,MASK opa.CodeLab
    mov eax,MASK opa.Mem
    mov eax,MASK opa.Imm
    mov eax,MASK opa.DirectMem
    mov eax,MASK opa.Reg
    mov eax,MASK opa.Valid
    mov eax,MASK opa.StackRel
    mov eax,MASK opa.External
    mov eax,MASK opa.Language

    ;
    ; Some of the OPATTR bits will not be set exactly as in MASM.
    ; The approach to externals is different for example.
    ;
    IF (OPATTR eax) AND (MASK opa.Reg OR MASK opa.Valid)
        mov eax,1 ; amazing - 'eax' is a register?!
    ENDIF

    END