        ; Simple example for POASM (ARM).
        ;
        ; Default is to enable all instructions. A processor type is
        ; only needed to exclude instructions above a certain level.
        ;
        ; CPU ARMv2
        ; CPU ARMv3
        ; CPU ARMv3M
        ; CPU ARMv4xM
        ; CPU ARMv4
        ; CPU ARMv5xM
        ; CPU ARMv5
        ; CPU ARMv5E
        ; CPU ARMvXS  ; XScale
        ;
        ; CPU NOVFP
        ; CPU VFP1
        ; CPU VFP2

        ;
        ; Define some constants
        ;
        MB_OK EQU 0
        MB_ICONINFORMATION EQU 0x40

        EXPORT start
        IMPORT MessageBoxA
        IMPORT ExitProcess

        CODE32  ; code16 (Thumb) is *not* supported!

        AREA .data,data

msg     DCB  "Hello, Universe...! :-)", 0
caption DCB  "Simple sample", 0

        AREA .text,code

start:
        stmdb   sp!,{lr}

        mov     r0,#0
        ldr     r1,=msg         ; pseudo instruction (load any constant/literal)
        ldr     r2,=caption     ; pseudo instruction (load any constant/literal)
        mov     r3,#MB_OK :OR: MB_ICONINFORMATION
        bl      MessageBoxA

        mov     r0,#0
        bl      ExitProcess

        ldmia   sp!,{pc}

        ; Dump the current literal pool (constants collected through LDR=
        ; pseudo instructions). Not strictly needed for this sample, but
        ; needed for larger files because of CPU addressing limitations.
        ltorg

        end
