        ; Simple example for POASM (IA32).
        ;
        ; Default is to enable all instructions. A processor type is
        ; only needed to exclude instructions above a certain level.
        ;
        ; .386
        ; .486
        ; .586
        ; .686
        ; .p2
        ; .p3
        ; .p4
        ; .k3d
        ; .387
        ; .no87
        ;
        ; Model is always "flat", symbol names are always case sensitive,
        ; and default calling convention is C.

        ;
        ; Declare prototypes for Win32 API functions...
        ;
        ; int MessageBoxA(HWND hwnd, LPCSTR lpText, LPCSTR lpCaption, UINT uType)
        MessageBoxA PROTO STDCALL :DWORD,:DWORD,:DWORD,:DWORD
        MessageBox EQU <MessageBoxA>

        ; void ExitProcess(UINT uExitCode)
        ExitProcess PROTO STDCALL :DWORD

        ;
        ; Define some constants
        ;
        NULL EQU 0
        MB_OK EQU 0
        MB_ICONINFORMATION EQU 40h

        ;
        ; Inform linker about libraries to use...
        ;
        INCLUDELIB "kernel32.lib"  ; for ExitProcess()
        INCLUDELIB "user32.lib"  ; For MessageBox()

        ;
        ; Time to write some code...
        ;
        .CODE

start:
        INVOKE MessageBox, NULL, ADDR msg, ADDR caption, (MB_OK OR MB_ICONINFORMATION)
        INVOKE ExitProcess, 0

        ;
        ; Simplify things by putting the read-only data in the code section...
        ;
msg     DB  "Hello, Universe...! :-)", 0
caption DB  "Simple sample", 0

        ; Inform linker about entry-point...
        END start

